/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.bioapi;

import java.util.UUID;

import org.bioapi.data.DataTypes.EventKind;
import org.bioapi.data.UnitSchema;

/**
 * 
 * @author Dani
 */
public interface BFPEventListener {

	/**
	 * Defines the event handler interface to receive asynchronous notification
	 * of events of type Event from a BioAPI Unit. Example events include
	 * insertion or removal of a BioAPI Unit (e.g. insertion or withdrawal of a
	 * biometric sensor device).
	 * 
	 * @param bfpUUID
	 *            The UUID of the BFP raising the event
	 * @param intID
	 *            The ID of that BioAPI Unit associated with the event
	 * @param unitSchema
	 *            The schema of the BioAPI_Unit raising the event
	 * @param event
	 *            The kind of event that has occured
	 * @throws BioAPIException
	 *             Thrown if any the parameters is not valid or any other error
	 *             during attachment.
	 */
	public void bfpEventCallback(UUID bfpUUID, int unitID,
			UnitSchema unitSchema, EventKind event) throws BioAPIException;

}
