package org.bioapi.data;

import java.util.UUID;
import org.bioapi.data.DataTypes.UnitCategoryType;

/**
 * Identifies a BFP by category and UUID. A list is returned by a BSP when
 * queried for the installed BFPs that it supports.
 */
public class BFPListElement {

	private UnitCategoryType unitCategory;
	private UUID bfpID;

	public BFPListElement(UnitCategoryType unitCategory, UUID bfpID) {
		this.unitCategory = unitCategory;
		this.bfpID = bfpID;
	}

	public UnitCategoryType getUnitCategory() {
		return unitCategory;
	}

	public void setUnitCategory(UnitCategoryType unitCategory) {
		this.unitCategory = unitCategory;
	}

	public UUID getBfpID() {
		return bfpID;
	}

	public void setBfpID(UUID bfpID) {
		this.bfpID = bfpID;
	}

}
