package org.bioapi.data;

public class DataFormat {

	private short owner;
	private short type;

	public DataFormat(short owner, short type) {
		this.owner = owner;
		this.type = type;
	}

	public short getOwner() {
		return owner;
	}

	public void setOwner(short owner) {
		this.owner = owner;
	}

	public short getType() {
		return type;
	}

	public void setType(short type) {
		this.type = type;
	}

	/**
	 * This method is not a standard method, but may be useful to fill BIR byte
	 * arrays
	 * 
	 * @return DataFormat in Big Endian byte array form
	 */
	public byte[] toByteArray() {
		byte[] array = new byte[4];
		array[0] = (byte) ((owner & 0xFF00) >> 8);
		array[1] = (byte) (owner & 0x00FF);
		array[2] = (byte) ((type & 0xFF00) >> 8);
		array[3] = (byte) (type & 0x00FF);
		return array;
	}
}
