package org.bioapi.data;

import java.util.UUID;

/**
 * Defines the properties of the BioAPI Framework.
 */
public class FrameworkSchema {

	private UUID frameworkUUID;
	private String fwDescription;
	private String path;
	private String specVersion;
	private String productVersion;
	private String vendor;
	private UUID fwPropertyID;
	private byte[] fwProperty;

	public FrameworkSchema(UUID frameworkUUID, String fwDescription,
			String path, String specVersion, String productVersion,
			String vendor, byte[] fwProperty) {
		this.frameworkUUID = frameworkUUID;
		this.fwDescription = fwDescription;
		this.path = path;
		this.specVersion = specVersion;
		this.productVersion = productVersion;
		this.vendor = vendor;
		this.fwProperty = fwProperty;
	}

	public UUID getFrameworkUUID() {
		return frameworkUUID;
	}

	public String getFwDescription() {
		return fwDescription;
	}

	public String getPath() {
		return path;
	}

	public String getSpecVersion() {
		return specVersion;
	}

	public String getProductVersion() {
		return productVersion;
	}

	public String getVendor() {
		return vendor;
	}

	public UUID getFwPropertyID() {
		return fwPropertyID;
	}

	public byte[] getFwProperty() {
		return fwProperty;
	}

}
