package org.bioapi.data;

import java.util.UUID;
import java.util.Vector;

/**
 * 
 * @author Dani
 */
public class UnitSchema {

	private UUID bspUUID;
	private UUID unitManagerUUID;
	private int unitID;
	private DataTypes.UnitCategoryType unitCategory;
	private UUID unitProperties;
	private String vendorInformation;
	private Vector<DataTypes.EventKind> supportedEvents;
	private UUID unitPropertyID;
	private byte[] unitProperty;
	private String hardwareVersion;
	private String firmwareVersion;
	private String softwareVersion;
	private String hardwareSerialNumber;
	private boolean authenticatedHardware;
	private int maxBSPDbSize;
	private int maxIdentify;
	private Vector<SecurityProfileType> securityProfile;

	public UnitSchema(UUID bspUUID, UUID unitManagerUUID, int unitID,
			DataTypes.UnitCategoryType unitCategory, UUID unitProperties,
			String vendorInformation,
			Vector<DataTypes.EventKind> supportedEvents, UUID unitPropertyID,
			byte[] unitProperty, String hardwareVersion,
			String firmwareVersion, String softwareVersion,
			String hardwareSerialNumber, boolean authenticatedHardware,
			int maxBSPDbSize, int maxIdentify,
			Vector<SecurityProfileType> securityProfile) {
		this.bspUUID = bspUUID;
		this.unitManagerUUID = unitManagerUUID;
		this.unitID = unitID;
		this.unitCategory = unitCategory;
		this.unitProperties = unitProperties;
		this.vendorInformation = vendorInformation;
		this.supportedEvents = supportedEvents;
		this.unitPropertyID = unitPropertyID;
		this.unitProperty = unitProperty;
		this.hardwareVersion = hardwareVersion;
		this.firmwareVersion = firmwareVersion;
		this.softwareVersion = softwareVersion;
		this.hardwareSerialNumber = hardwareSerialNumber;
		this.authenticatedHardware = authenticatedHardware;
		this.maxBSPDbSize = maxBSPDbSize;
		this.maxIdentify = maxIdentify;
		this.securityProfile = securityProfile;
	}

	public UUID getBSPUUID() {
		return bspUUID;
	}

	public void setBSPUUID(UUID bspUUID) {
		this.bspUUID = bspUUID;
	}

	public UUID getUnitManagerUUID() {
		return unitManagerUUID;
	}

	public void setUnitManagerUUID(UUID unitManagerUUID) {
		this.unitManagerUUID = unitManagerUUID;
	}

	public int getUnitID() {
		return unitID;
	}

	public void setUnitID(int unitID) {
		this.unitID = unitID;
	}

	public DataTypes.UnitCategoryType getUnitCategory() {
		return unitCategory;
	}

	public UUID getUnitProperties() {
		return unitProperties;
	}

	public String getVendorInformation() {
		return vendorInformation;
	}

	public Vector<DataTypes.EventKind> getSupportedEvents() {
		return supportedEvents;
	}

	public UUID getUnitPropertyID() {
		return unitPropertyID;
	}

	public byte[] getUnitProperty() {
		return unitProperty;
	}

	public String getHardwareVersion() {
		return hardwareVersion;
	}

	public String getFirmwareVersion() {
		return firmwareVersion;
	}

	public String getSoftwareVersion() {
		return softwareVersion;
	}

	public String getHardwareSerialNumber() {
		return hardwareSerialNumber;
	}

	public boolean isAuthenticatedHardware() {
		return authenticatedHardware;
	}

	public int getMaxBSPDbSize() {
		return maxBSPDbSize;
	}

	public int getMaxIdentify() {
		return maxIdentify;
	}

	public Vector<SecurityProfileType> getSecurityProfile() {
		return securityProfile;
	}

}
